Summary:	ImgView - simple GTK+ image viewer using Imlib
Summary(pl.UTF-8):	ImgView - prosta przeglądarka obrazków oparta na GTK+ i używająca Imliba
Name:		iv
Version:	2.6.1
Release:	4
License:	GPL v2
Group:		X11/Applications/Graphics
Source0:	http://wolfsinger.com/~wolfpack/packages/%{name}-%{version}.tar.bz2
# Source0-md5:	e18ffd722be6905e69c97d641b5c6839
Patch0:		%{name}-vidmode.patch
Patch1:		%{name}-libpng.patch
Patch2:		%{name}-verbose.patch
URL:		http://freecode.com/projects/iv
BuildRequires:	gtk+-devel
BuildRequires:	imlib-devel
BuildRequires:	libpng-devel >= 2:1.4.0
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple GTK+ image viewer using Imlib.

%description -l pl.UTF-8
Prosta przeglądarka obrazków oparta na GTK+ i używająca Imliba.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
./configure Linux
%{__make} -C iv \
	CC="%{__cc}" \
	CPP="%{__cxx}" \
	CFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer} -ffast-math -Wall \
		-DHAVE_LIBPNG -DHAVE_IMLIB -DINCLUDE_IV_TITLE_IMAGE \
		`gtk-config --cflags` `imlib-config --cflags`"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install -C iv \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	ICONS_DIR=$RPM_BUILD_ROOT%{_pixmapsdir} \
	MAN_DIR=$RPM_BUILD_ROOT%{_mandir}/man1

bzip2 -d $RPM_BUILD_ROOT%{_mandir}/man1/*.bz2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/iv
%{_pixmapsdir}/iv.xpm
%{_mandir}/man1/iv.1*
%changelog
* Wed Oct 29 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/iv.git;a=log;h=auto/th/iv-2.6.1-4

* Mon Oct 27 2014 Jan Rękorajski <baggins@pld-linux.org> 2d32d50
- release 4 (by relup.sh)

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> 2c30412
- release 3 (by relup.sh)

* Wed Feb 05 2014 Jan Rękorajski <baggins@pld-linux.org> 5d51631
- rebuild with libmng 2.0.2
- release 2 (by relup.sh)

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> fc09bb4
- updated to 2.6.1
- added libpng, verbose patches

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> cd153f0
- release 5

* Fri Feb 12 2010 amateja <amateja@pld-linux.org> dd12a90
- fixed build for libpng-1.4.0
- added BR: libpng-devel
- release 4

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d613a2
- release 3

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> c1796cf
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f71eeb8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b8bdb74
- converted to UTF-8

* Fri Jun 09 2006 shadzik <shadzik@pld-linux.org> e2b6b0d
- up to 1.4.2; pointed by Jacek 'jackass' Brzozowski

* Tue Feb 28 2006 Elan Ruusamäe <glen@pld-linux.org> 0236a29
- adapterized (killed trailing spaces/tabs)

* Wed May 11 2005 darekr <darekr@pld-linux.org> ca00d31
- fixed URL

* Mon Mar 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 254c76f
- argh, back

* Mon Mar 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 449c670
- vidmode patch is back (needed for libXxf86vm detection w/o -static)

* Mon Mar 28 2005 Adam Gołębiowski <adamg@pld-linux.org> d0b906a
- outdated

* Mon Mar 28 2005 Adam Gołębiowski <adamg@pld-linux.org> c7769df
- updated to 1.2.1 (by Jacek 'jackass' Brzozowski - metallowiec (at) op.pl)
- dropped -vidmode.patch

* Thu Sep 02 2004 darekr <darekr@pld-linux.org> cd031f4
- updated to 0.3.9

* Mon Apr 19 2004 Jakub Bogusz <qboosh@pld-linux.org> cebab83
- updated to 0.3.6, added vidmode patch to detect shared libXxf86vm

* Mon Apr 19 2004 Jakub Bogusz <qboosh@pld-linux.org> b9b4a5d
- support shared libXxf86vm

